Bug 131407 - Web Replay: CodeGeneratorJS should guard includes of replay-related headers
Summary: Web Replay: CodeGeneratorJS should guard includes of replay-related headers
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Bindings (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Brian Burg
URL:
Keywords:
Depends on:
Blocks: 131340
  Show dependency treegraph
 
Reported: 2014-04-08 16:25 PDT by Brian Burg
Modified: 2014-04-11 13:06 PDT (History)
10 users (show)

See Also:


Attachments
the patch (74.79 KB, patch)
2014-04-08 17:29 PDT, Brian Burg
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2014-04-08 16:25:03 PDT
Missed this before because the old branch was never built on non-replay ports, or something. Also will move generated replay memoization code from DEFINE_STATIC_LOCAL to NeverDestroyed.
Comment 1 Brian Burg 2014-04-08 17:29:09 PDT
Created attachment 228917 [details]
the patch
Comment 2 WebKit Commit Bot 2014-04-08 17:30:27 PDT
Attachment 228917 [details] did not pass style-queue:


ERROR: Source/WebCore/bindings/scripts/test/JS/JSTestNondeterministic.h:118:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/bindings/scripts/test/JS/JSTestNondeterministic.cpp:172:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WebCore/bindings/scripts/test/JS/JSTestNondeterministic.cpp:174:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WebCore/bindings/scripts/test/JS/JSTestNondeterministic.cpp:206:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WebCore/bindings/scripts/test/JS/JSTestNondeterministic.cpp:208:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WebCore/bindings/scripts/test/JS/JSTestNondeterministic.cpp:240:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WebCore/bindings/scripts/test/JS/JSTestNondeterministic.cpp:242:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WebCore/bindings/scripts/test/JS/JSTestNondeterministic.cpp:276:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WebCore/bindings/scripts/test/JS/JSTestNondeterministic.cpp:278:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WebCore/bindings/scripts/test/JS/JSTestNondeterministic.cpp:312:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WebCore/bindings/scripts/test/JS/JSTestNondeterministic.cpp:314:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WebCore/bindings/scripts/test/JS/JSTestNondeterministic.cpp:429:  One line control clauses should not use braces.  [whitespace/braces] [4]
ERROR: Source/WebCore/bindings/scripts/test/JS/JSTestNondeterministic.cpp:457:  Extra space before ( in function call  [whitespace/parens] [4]
Total errors found: 13 in 12 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Brian Burg 2014-04-09 10:16:07 PDT
Anders, does NeverDestroyed play nice with AtomicString?
Comment 4 Brian Burg 2014-04-11 07:10:49 PDT
(In reply to comment #3)
> Anders, does NeverDestroyed play nice with AtomicString?

There are ~15 uses of NeverDestroyed<const AtomicString> in the codebase and ~90 uses of NeverDestroyed<AtomicString>. So, if it is an anti-pattern, there's some more cleanup to do.
Comment 5 Joseph Pecoraro 2014-04-11 10:44:34 PDT
Comment on attachment 228917 [details]
the patch

Patch looks good to me.
Comment 6 WebKit Commit Bot 2014-04-11 13:06:07 PDT
Comment on attachment 228917 [details]
the patch

Clearing flags on attachment: 228917

Committed r167140: <http://trac.webkit.org/changeset/167140>
Comment 7 WebKit Commit Bot 2014-04-11 13:06:12 PDT
All reviewed patches have been landed.  Closing bug.